import { screen, render, RenderResult } from '@testing-library/react';
import { UserAvatar } from './UserAvatar.component';

const renderComponent = (): RenderResult => render(<UserAvatar />);

describe('UserAvatar - component ', () => {
  it('should render placeholder image', () => {
    renderComponent();

    expect(screen.getByAltText('user avatar')).toBeInTheDocument();
  });
});
