import { useContext } from 'react';
import { Button } from '@/shared/Button';
import { ExportContext } from '../ExportCompound.context';

export const DownloadElements = (): React.ReactNode => {
  const { handleDownloadNetwork } = useContext(ExportContext);

  return (
    <div className="mt-6">
      <Button onClick={handleDownloadNetwork}>Download</Button>
    </div>
  );
};
