import { FetchDataState } from '@/types/fetchDataState';
import { Loading } from '@/types/loadingState';
import { MapOverlay } from '@/types/models';

export type AddOverlayState = {
  addOverlay: {
    loading: Loading;
    error: Error;
  };
};

export type OverlaysState = FetchDataState<MapOverlay[] | []> & AddOverlayState;
