import { ConfigurationFormatSchema } from '@/types/models';

export const CONFIGURATION_FORMATS_TYPES_MOCK: string[] = [
  'CellDesigner SBML',
  'SBGN-ML',
  'SBML',
  'GPML',
];

export const CONFIGURATION_FORMATS_MOCK: ConfigurationFormatSchema[] = [
  {
    name: 'CellDesigner SBML',
    handler: 'lcsb.mapviewer.converter.model.celldesigner.CellDesignerXmlParser',
    extension: 'xml',
  },
  {
    name: 'SBGN-ML',
    handler: 'lcsb.mapviewer.converter.model.sbgnml.SbgnmlXmlConverter',
    extension: 'sbgn',
  },
  {
    name: 'SBML',
    handler: 'lcsb.mapviewer.converter.model.sbml.SbmlParser',
    extension: 'xml',
  },
  {
    name: 'GPML',
    handler: 'lcsb.mapviewer.wikipathway.GpmlParser',
    extension: 'gpml',
  },
];
