import { Color } from './models';

export type OverlayBioEntityRender = {
  id: number;
  modelId: number;
  /** bottom left corner of whole element, Xmin */
  x1: number;
  /** bottom left corner of whole element, Ymin */
  y1: number;
  /** top righ corner of whole element, xMax */
  x2: number;
  /** top righ corner of whole element, yMax */
  y2: number;
  width: number;
  height: number;
  value: number | null;
  overlayId: number;
  color: Color | null;
};
